try {
  $sysDrive = $env:SystemDrive
  $vstssyncmigrationpath =Join-Path -Path "\VSTSSyncMigration" -ChildPath Get-ToolsLocation

  if(test-path $vstssyncmigrationpath) {
    write-host "Cleaning out the contents of $vstssyncmigrationpath"
    Remove-Item "$($vstssyncmigrationpath)\*" -recurse -force
  }
  
  Install-ChocolateyZipPackage 'vstssyncmigration' 'https://github.com/nkdAgility/vsts-sync-migration/releases/download/4.3.0/vstsbulkeditor-4.3.0.zip' $vstssyncmigrationpath

  write-host 'VSTS Sync Migration has been installed. Call `vstssyncmigration` from the command line to see options. You may need to close and reopen the command shell.'
  Write-ChocolateySuccess 'vstssyncmigration'
} catch {
  Write-ChocolateyFailure 'vstssyncmigration' $($_.Exception.Message)
  throw 
}